%define upstream_name    Algorithm-Backoff
%define upstream_version 0.010

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Backoff exponentially
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Algorithm/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Test::Exception)
BuildRequires: perl(Test::More) >= 0.980.0
BuildRequires: perl(Test::Number::Delta)
BuildRequires: perl(Time::HiRes)
BuildRequires: perl(parent)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This distribution provides several classes that implement various backoff
strategies for setting delay between retry attempts.

This class ('Algorithm::Backoff') is a base class only.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Feb 26 2024 tv <tv> 0.10.0-1.mga10
+ Revision: 2044355
- update to 0.010

* Mon Mar 21 2022 umeabot <umeabot> 0.9.0-2.mga9
+ Revision: 1814941
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 tv <tv> 0.9.0-1.mga9
+ Revision: 1742720
- imported package perl-Algorithm-Backoff

